- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3cbb584c-87b7-4095-aa59-584b78037673
    creation_time: 2023-02-17T13:41:18.742962Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/bhmr2007.c
      input_file_hashes:
        c/loop-lit/bhmr2007.c: 358ed0b33a6344552d604a62ef774ba6cda0a2124613462d81fdf5f38f74f819
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/bhmr2007.c
    file_hash: 358ed0b33a6344552d604a62ef774ba6cda0a2124613462d81fdf5f38f74f819
    line: 9
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: a + b == 3*i && i <= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 22a59c06-6d39-443f-936a-6a73d6f52047
    creation_time: 2023-02-17T13:41:18.743359Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/bhmr2007.c
      input_file_hashes:
        c/loop-lit/bhmr2007.c: 358ed0b33a6344552d604a62ef774ba6cda0a2124613462d81fdf5f38f74f819
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/bhmr2007.c
    file_hash: 358ed0b33a6344552d604a62ef774ba6cda0a2124613462d81fdf5f38f74f819
    line: 20
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: a + b == 3*n
    type: assertion
    format: C

